import 'package:dio/dio.dart';

class HeaderInterceptors extends Interceptor {
  HeaderInterceptors._internal();

  static final HeaderInterceptors _interceptors =
      HeaderInterceptors._internal();

  factory HeaderInterceptors() {
    return _interceptors;
  }

  @override
  void onRequest(RequestOptions options, RequestInterceptorHandler handler) {
    handler.next(options);
  }
}
